Bug 191886 - scim Package won't build in mock
scim Package won't build in mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-16 06:52 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 21:46:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-05-16 06:52:36 EDT
The %configure command for scim-bridge fails in mock:

checking for SCIM... configure: error: Package requirements (scim >= 1.4.0) were
not met:

No package 'scim' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables SCIM_CFLAGS
and SCIM_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

error: Bad exit status from /var/tmp/rpm-tmp.76490 (%build)


Pointing the configure command to the just built scim should fix the circular
dependency.
Comment 1 Jens Petersen 2006-05-16 20:29:13 EDT
Thanks for reporting this.  I'm actually planning to split scim-bridge
out into a separate package: see bug 190243 for the submission to Extras.

Comment 2 Jens Petersen 2006-06-01 21:46:26 EDT
Should be fixed in 1.4.4-18 where scim-bridge has been removed.

Note You need to log in before you can comment on or make changes to this bug.